///<reference path="/Scripts/ExtPB_Net.js" />
///<reference path="/Scripts/MyExtPB.js" />
///<reference path="/Scripts/ExtPB_Dll_Pb_Http.js" />
///<reference path="/Scripts/MyExtPb_Input.js" />

function W_Tjfx_Base() {

	 var self=this;
	 this.Instance=null;
	 var requestor= new PBWindow();
	 var dw_list= new DataWindow( requestor );
	 var tb_1= new ToolStrip( requestor );

	 if(typeof(this.bind)=="function") var baseBind=this.bind;
	 this.bind=function(win){
	 self.Instance=win;
	 if(typeof( baseBind )=="function") baseBind(win);

		 if(requestor == null ) requestor= new PBWindow();
		 requestor.Attach(win);
		 if(dw_list == null ) dw_list= new DataWindow( requestor );
		 dw_list.Attach( win.Control( "dw_list") ); 
		 if(tb_1 == null ) tb_1= new ToolStrip( requestor );
		 tb_1.Attach( win.Control( "tb_1") ); 

		 if(typeof(self.Query)=="function") 
			 win.AttachEvent("btn_Query","Clicked",self.Query); 

		 if(typeof(self.Filter)=="function") 
			 win.AttachEvent("btn_Filter","Clicked",self.Filter); 

		 if(typeof(self.Export)=="function") 
			 win.AttachEvent("btn_Export","Clicked",self.Export); 

		 if(typeof(self.Print)=="function") 
			 win.AttachEvent("btn_print","Clicked",self.Print); 

		 if(typeof(self.Exit)=="function") 
			 win.AttachEvent("btn_5","Clicked",self.Exit); 

	 }

	 if(typeof(this.unbind)=="function") var baseUnBind=this.unbind; 
	 this.unbind=function() {
	 self.Instance=null;
	 if(typeof(this.Release)=="function") this.Release(); 
	 if(typeof(baseUnBind)=="function") baseUnBind(); 

		 dw_list.Detach(); dw_list=null; 
		 tb_1.Detach(); tb_1=null; 
		 requestor.Detach(); requestor=null; 

		 setTimeout(CollectGarbage, 100); 
	 }

	 //以上代码由设计器自动生成,请不要手工修改
//ExtPB.Net JavaScript End  设计器查找标志,请不要删除或修改
	 this.Exit = function () {
	     setTimeout("window.close();", 100);
	 }
	 this.Filter = function () {
	     dw_list.FilterDlg();
	 }
	 this.Export = function () {
	     dw_list.Export();
	 }
	 this.Print = function () {
       dw_list.PrintPreview();
     }
 }